import request from '@/utils/request'

// 查询巡检线路管理列表
export function listLine(query) {
  return request({
    url: '/qdtl/line/list',
    method: 'get',
    params: query
  })
}

// 查询巡检线路管理详细
export function getLine(id) {
  return request({
    url: '/qdtl/line/' + id,
    method: 'get'
  })
}

// 新增巡检线路管理
export function addLine(data) {
  return request({
    url: '/qdtl/line',
    method: 'post',
    data: data
  })
}

// 修改巡检线路管理
export function updateLine(data) {
  return request({
    url: '/qdtl/line',
    method: 'put',
    data: data
  })
}

// 删除巡检线路管理
export function delLine(id) {
  return request({
    url: '/qdtl/line/' + id,
    method: 'delete'
  })
}
